<template>
  <div id="app">
    <el-container>
      <el-header class="header" height="64px">
        <navbar></navbar>
      </el-header>
      <el-container>
        <el-aside class="sidebar" v-if="$route.meta.sidebar && $store.state.sidebar">
          <!-- <sidebar-user v-if="$store.state.sidebar"></sidebar-user> -->
          <sidebar-menu></sidebar-menu>
        </el-aside>
        <el-container>
          <el-main>
            <router-view/>
          </el-main>
          <el-footer>
            <el-row>
              <el-col :span="20">
                <a href="https://gitlab.com/lean-delivery/ddl-ng/">View on GitLab</a>
              </el-col>
              <el-col :span="4" style="text-align: right">
                <a href="mailto:team@lean-delivery.com">Contact Us</a>
              </el-col>
            </el-row>
          </el-footer>
        </el-container>
      </el-container>
    </el-container>
  </div>
</template>

<script>
import Navbar from '@/components/Navbar'
// import SidebarUser from '@/components/SidebarUser'
import SidebarMenu from '@/components/SidebarMenu'

export default {
  components: { Navbar, /* SidebarUser, */ SidebarMenu }
}
</script>
